{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-utps" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de UTP</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear nuevo nodo UTP</a></div>

    
    <div class="row">
      
      <div class="col col-lg-3 col-md-6 ">
        <select class="form-control" id="filter_type">
          <option value="1" selected >Nodos</option>
          <option value="2">Antenas</option>
        </select>
      </div>
      <div class="col col-lg-12" ></div>
      
    </div>

    <div class="table-responsive">
      <table class="table" id="table_utp">
        <thead>
          <tr>
            <th nowrap="">Contador</th>
            <th nowrap="">UTP ID</th>
            <th nowrap="">Alias</th>
            <th nowrap="">Ip</th>
            <th nowrap="">CPEs UTP</th>
            <th nowrap="">Uptime</th>
            <th nowrap="">Modelo</th>
            <th nowrap="">Descripci&oacute;n</th>
            <th nowrap="">RADIUS</th>
            <th nowrap="">Acciones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>

<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear UTP</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15 " id="div_radius_node">
          <label class="col-md-4 col-sm-4 col-form-label" for="radius_node">RADIUS</label>
          <div class="col-md-8 col-sm-8 radius_node_parent">
            <select class="form-control" id="radius_node">
            </select>
             <span id="error_radius_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_alias">
          <label class="col-md-4 col-sm-4 col-form-label" for="alias">Alias</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="alias" placeholder="Alias del nodo UTP" data-parsley-required="true" />
             <span id="error_alias" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_status">
          <label class="col-md-4 col-sm-4 col-form-label" for="status">Estado</label>
          <div class="col-md-8 col-sm-8 status_parent">
            <select class="form-control" id="status">
              <option value="1">Cableado</option>
              <option value="2">Por retirar</option>
              <option value="3">En proceso</option>
              <option value="4">Sin clasificar</option>
              <option value="5">Descartado</option>
            </select>
             <span id="error_status" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="region">Región</label>
          <div class="col-md-8 col-sm-8 region_parent">
            <select class="form-control" id="region"></select>
             <span id="error_region" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="commune">Comuna</label>
          <div class="col-md-8 col-sm-8 commune_parent">
            <select class="form-control" id="commune"></select>
             <span id="error_commune" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="street">Calle</label>
          <div class="col-md-8 col-sm-8 street_parent">
            <select class="form-control" id="street"></select>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="house_number">Numero</label>
          <div class="col-md-8 col-sm-8 house_number_parent">
            <select class="form-control" id="house_number"></select>
             <span id="error_house_number" class="text-danger" ></span>
          </div>
        </div>
        <!-- <div class="form-group row m-b-15" id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="tower">Torre</label>
          <div class="col-md-8 col-sm-8 tower_parent">
            <select class="form-control" id="tower"></select>
             <span id="error_tower" class="text-danger" ></span>
          </div>
        </div> -->
        <div class="form-group row m-b-15 " id="div_address_pulso">
          <label class="col-md-4 col-sm-4 col-form-label" for="floor">Piso</label>
          <div class="col-md-8 col-sm-8 floor_parent">
            <select class="form-control" id="floor"></select>
             <span id="error_address_pulso" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_parent_node">
          <label class="col-md-4 col-sm-4 col-form-label" for="parent_node">Nodo Padre</label>
          <div class="col-md-8 col-sm-8 parent_node_parent">
            <select class="form-control" id="parent_node"></select>
             <span id="error_parent_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_default_connection_node">
          <label class="col-md-4 col-sm-4 col-form-label " for="default_connection_node">Nodo de corte por defecto</label>
          <div class="col-md-8 col-sm-8 default_connection_node_parent">
            <select class="form-control" id="default_connection_node"></select>
             <span id="error_default_connection_node" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_ip">
          <label class="col-md-4 col-sm-4 col-form-label" for="ip">IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" id="ip" placeholder="Direccion IPV4" data-parsley-required="true" />
             <span id="error_ip" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_ip_range">
          <label class="col-md-4 col-sm-4 col-form-label" for="ip_range">Rango de IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" id="ip_range" placeholder="Direccion IPV4" data-parsley-required="true" />
             <span id="error_ip_range" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_user">
          <label class="col-md-4 col-sm-4 col-form-label" for="user">Usuario</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="user" placeholder="Usuario" data-parsley-required="true" />
             <span id="error_user" class="text-danger" ></span>
          </div>
        </div>      
        <div class="form-group row m-b-15 " id="div_password">
          <label class="col-md-4 col-sm-4 col-form-label" for="password">Clave</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="password" id="password" placeholder="Clave" data-parsley-required="true" />
             <span id="error_password" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_plans">
          <label class="col-md-4 col-sm-4 col-form-label " for="plans">Planes disponibles</label>
          <div class="col-md-8 col-sm-8 plans_parent">
            <select class="form-control" id="plans" multiple></select>
             <span id="error_plans" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15 " id="div_comment">
          <label class="col-md-4 col-sm-4 col-form-label " for="comment">Notas</label>
          <div class="col-md-8 col-sm-8 comment_parent">
            <textarea class="form-control" id="comment" multiple></textarea>
             <span id="error_comment" class="text-danger" ></span>
          </div>
        </div>
        

        
        <div class="form-group row m-b-15 " id="div_towers">
          <label class="col-md-4 col-sm-4 col-form-label " for="towers">Número de Torres</label>
          <div class="col-md-8 col-sm-8 towers_parent">
            <input type="number" class="form-control" id="towers" value="0" ></textarea>
             <span id="error_towers" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15 " id="div_apartments">
          <label class="col-md-4 col-sm-4 col-form-label " for="apartments">Número de Departamentos</label>
          <div class="col-md-8 col-sm-8 apartments_parent">
            <input type="number" class="form-control" id="apartments" value="0" ></input>
             <span id="error_apartments" class="text-danger" ></span>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Cerrar</a>
        <button type="button" class="btn btn-primary" onclick="newUTP()">Crear UTP</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'scripts/utp_list.js' %}"></script>
<!-- <script type="text/javascript" id="insert_script_here">
var no_cache_random =  Math.random().toString(36).substr(2, 5);
appendScript("{% static 'scripts/utp_list.js' %}?no_cache=" + no_cache_random);
</script> -->
{% endblock extra_js %}
